Adding debian version 0.4.1-2.
[debian/lxde-common.git] / Makefile.in
CommitLineData
68711ac0 1# Makefile.in generated by automake 1.10.2 from Makefile.am.
097da666
DB
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19pkgdatadir = $(datadir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkgincludedir = $(includedir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/LXDE.desktop.in \
36 $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
68711ac0
DB
37 $(srcdir)/lxde-logout.desktop.in $(srcdir)/lxde-logout.in \
38 $(srcdir)/openbox-lxde.in $(srcdir)/startlxde.in \
39 $(top_srcdir)/configure $(top_srcdir)/lxpanel/panel.in \
40 $(top_srcdir)/openbox/rc.xml.in \
097da666 41 $(top_srcdir)/pcmanfm/main.lxde.in AUTHORS COPYING ChangeLog \
68711ac0 42 INSTALL NEWS install-sh missing mkinstalldirs
097da666
DB
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46 $(ACLOCAL_M4)
47am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48 configure.lineno config.status.lineno
68711ac0
DB
49mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
50CONFIG_CLEAN_FILES = startlxde lxde-logout LXDE.desktop \
51 lxde-logout.desktop lxpanel/panel openbox/rc.xml openbox-lxde \
52 pcmanfm/main.lxde
097da666
DB
53am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(defaultsdir)" \
54 "$(DESTDIR)$(imagesdir)" "$(DESTDIR)$(lxpaneldir)" \
55 "$(DESTDIR)$(lxpanel_paneldir)" "$(DESTDIR)$(openboxdir)" \
56 "$(DESTDIR)$(pcmanfmdir)" "$(DESTDIR)$(wallpapersdir)" \
57 "$(DESTDIR)$(xsessiondir)"
58binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
59SCRIPTS = $(bin_SCRIPTS)
60SOURCES =
61DIST_SOURCES =
62RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
63 html-recursive info-recursive install-data-recursive \
64 install-dvi-recursive install-exec-recursive \
65 install-html-recursive install-info-recursive \
66 install-pdf-recursive install-ps-recursive install-recursive \
67 installcheck-recursive installdirs-recursive pdf-recursive \
68 ps-recursive uninstall-recursive
69am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
70am__vpath_adj = case $$p in \
71 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
72 *) f=$$p;; \
73 esac;
74am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
75defaultsDATA_INSTALL = $(INSTALL_DATA)
76imagesDATA_INSTALL = $(INSTALL_DATA)
77lxpanelDATA_INSTALL = $(INSTALL_DATA)
78lxpanel_panelDATA_INSTALL = $(INSTALL_DATA)
79openboxDATA_INSTALL = $(INSTALL_DATA)
80pcmanfmDATA_INSTALL = $(INSTALL_DATA)
81wallpapersDATA_INSTALL = $(INSTALL_DATA)
82xsessionDATA_INSTALL = $(INSTALL_DATA)
83DATA = $(defaults_DATA) $(images_DATA) $(lxpanel_DATA) \
84 $(lxpanel_panel_DATA) $(openbox_DATA) $(pcmanfm_DATA) \
85 $(wallpapers_DATA) $(xsession_DATA)
86RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
87 distclean-recursive maintainer-clean-recursive
88ETAGS = etags
89CTAGS = ctags
90DIST_SUBDIRS = $(SUBDIRS)
91DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
92distdir = $(PACKAGE)-$(VERSION)
93top_distdir = $(distdir)
94am__remove_distdir = \
95 { test ! -d $(distdir) \
96 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
97 && rm -fr $(distdir); }; }
98GZIP_ENV = --best
99DIST_ARCHIVES = $(distdir).tar.bz2
100distuninstallcheck_listfiles = find . -type f -print
101distcleancheck_listfiles = find . -type f -print
102ACLOCAL = @ACLOCAL@
103AMTAR = @AMTAR@
104AUTOCONF = @AUTOCONF@
105AUTOHEADER = @AUTOHEADER@
106AUTOMAKE = @AUTOMAKE@
107AWK = @AWK@
097da666
DB
108CYGPATH_W = @CYGPATH_W@
109DEFS = @DEFS@
097da666
DB
110ECHO_C = @ECHO_C@
111ECHO_N = @ECHO_N@
112ECHO_T = @ECHO_T@
097da666
DB
113INSTALL = @INSTALL@
114INSTALL_DATA = @INSTALL_DATA@
115INSTALL_PROGRAM = @INSTALL_PROGRAM@
116INSTALL_SCRIPT = @INSTALL_SCRIPT@
117INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
097da666
DB
118LIBOBJS = @LIBOBJS@
119LIBS = @LIBS@
120LN_S = @LN_S@
121LTLIBOBJS = @LTLIBOBJS@
122MAKEINFO = @MAKEINFO@
123MKDIR_P = @MKDIR_P@
097da666
DB
124PACKAGE = @PACKAGE@
125PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
126PACKAGE_NAME = @PACKAGE_NAME@
127PACKAGE_STRING = @PACKAGE_STRING@
128PACKAGE_TARNAME = @PACKAGE_TARNAME@
129PACKAGE_VERSION = @PACKAGE_VERSION@
130PATH_SEPARATOR = @PATH_SEPARATOR@
097da666
DB
131SET_MAKE = @SET_MAKE@
132SHELL = @SHELL@
133STRIP = @STRIP@
134VERSION = @VERSION@
097da666
DB
135abs_builddir = @abs_builddir@
136abs_srcdir = @abs_srcdir@
137abs_top_builddir = @abs_top_builddir@
138abs_top_srcdir = @abs_top_srcdir@
097da666 139am__leading_dot = @am__leading_dot@
097da666
DB
140am__tar = @am__tar@
141am__untar = @am__untar@
142bindir = @bindir@
143build_alias = @build_alias@
144builddir = @builddir@
145datadir = @datadir@
146datarootdir = @datarootdir@
147docdir = @docdir@
148dvidir = @dvidir@
149exec_prefix = @exec_prefix@
150host_alias = @host_alias@
151htmldir = @htmldir@
152includedir = @includedir@
153infodir = @infodir@
154install_sh = @install_sh@
155libdir = @libdir@
156libexecdir = @libexecdir@
157localedir = @localedir@
158localstatedir = @localstatedir@
159mandir = @mandir@
160mkdir_p = @mkdir_p@
161oldincludedir = @oldincludedir@
162pdfdir = @pdfdir@
163prefix = @prefix@
164program_transform_name = @program_transform_name@
165psdir = @psdir@
166sbindir = @sbindir@
167sharedstatedir = @sharedstatedir@
168srcdir = @srcdir@
169sysconfdir = @sysconfdir@
170target_alias = @target_alias@
68711ac0 171top_build_prefix = @top_build_prefix@
097da666
DB
172top_builddir = @top_builddir@
173top_srcdir = @top_srcdir@
174xsesspath = @xsesspath@
68711ac0 175SUBDIRS = icon-theme man
097da666
DB
176bin_SCRIPTS = startlxde lxde-logout openbox-lxde
177
178# Currently these paths are hardcoded.
179xsessiondir = $(xsesspath)
180xsession_DATA = LXDE.desktop
68711ac0 181defaultsdir = $(sysconfdir)/xdg/lxsession/LXDE
097da666
DB
182defaults_DATA = default autostart config
183wallpapersdir = $(datadir)/lxde/wallpapers
184wallpapers_DATA = \
185 wallpapers/lxde_blue.jpg \
186 wallpapers/lxde_red.jpg \
187 wallpapers/lxde_green.jpg
188
189imagesdir = $(datadir)/lxde/images
190images_DATA = \
191 images/logout-banner.png \
192 images/lxde-icon.png
193
194lxpaneldir = $(datadir)/lxpanel/profile/LXDE
195lxpanel_DATA = lxpanel/config
196lxpanel_paneldir = $(datadir)/lxpanel/profile/LXDE/panels
197lxpanel_panel_DATA = lxpanel/panel
198openboxdir = $(datadir)/lxde/openbox
199openbox_DATA = \
200 openbox/rc.xml \
201 openbox/menu.xml
202
203pcmanfmdir = $(datadir)/lxde/pcmanfm
204pcmanfm_DATA = \
205 pcmanfm/main.lxde
206
207EXTRA_DIST = \
208 default \
209 autostart \
210 config \
211 LXDE.desktop.in \
212 startlxde.in \
213 $(wallpapers_DATA) \
214 $(images_DATA) \
215 icon-theme/COPYING \
216 icon-theme/AUTHORS \
217 openbox/rc.xml.in \
218 openbox/menu.xml \
219 openbox-lxde.in \
220 pcmanfm/main.lxde.in \
221 $(lxpanel_DATA) \
222 lxpanel/panel.in
223
224CLEANFILES = $(bin_SCRIPTS)
68711ac0 225all: all-recursive
097da666
DB
226
227.SUFFIXES:
228am--refresh:
229 @:
230$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
231 @for dep in $?; do \
232 case '$(am__configure_deps)' in \
233 *$$dep*) \
234 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
235 cd $(srcdir) && $(AUTOMAKE) --gnu \
236 && exit 0; \
237 exit 1;; \
238 esac; \
239 done; \
240 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
241 cd $(top_srcdir) && \
242 $(AUTOMAKE) --gnu Makefile
243.PRECIOUS: Makefile
244Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
245 @case '$?' in \
246 *config.status*) \
247 echo ' $(SHELL) ./config.status'; \
248 $(SHELL) ./config.status;; \
249 *) \
250 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
251 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
252 esac;
253
254$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
255 $(SHELL) ./config.status --recheck
256
257$(top_srcdir)/configure: $(am__configure_deps)
258 cd $(srcdir) && $(AUTOCONF)
259$(ACLOCAL_M4): $(am__aclocal_m4_deps)
260 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
097da666
DB
261startlxde: $(top_builddir)/config.status $(srcdir)/startlxde.in
262 cd $(top_builddir) && $(SHELL) ./config.status $@
097da666
DB
263lxde-logout: $(top_builddir)/config.status $(srcdir)/lxde-logout.in
264 cd $(top_builddir) && $(SHELL) ./config.status $@
265LXDE.desktop: $(top_builddir)/config.status $(srcdir)/LXDE.desktop.in
266 cd $(top_builddir) && $(SHELL) ./config.status $@
68711ac0
DB
267lxde-logout.desktop: $(top_builddir)/config.status $(srcdir)/lxde-logout.desktop.in
268 cd $(top_builddir) && $(SHELL) ./config.status $@
097da666
DB
269lxpanel/panel: $(top_builddir)/config.status $(top_srcdir)/lxpanel/panel.in
270 cd $(top_builddir) && $(SHELL) ./config.status $@
271openbox/rc.xml: $(top_builddir)/config.status $(top_srcdir)/openbox/rc.xml.in
272 cd $(top_builddir) && $(SHELL) ./config.status $@
273openbox-lxde: $(top_builddir)/config.status $(srcdir)/openbox-lxde.in
274 cd $(top_builddir) && $(SHELL) ./config.status $@
275pcmanfm/main.lxde: $(top_builddir)/config.status $(top_srcdir)/pcmanfm/main.lxde.in
276 cd $(top_builddir) && $(SHELL) ./config.status $@
277install-binSCRIPTS: $(bin_SCRIPTS)
278 @$(NORMAL_INSTALL)
279 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
280 @list='$(bin_SCRIPTS)'; for p in $$list; do \
281 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
282 if test -f $$d$$p; then \
283 f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
284 echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
285 $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
286 else :; fi; \
287 done
288
289uninstall-binSCRIPTS:
290 @$(NORMAL_UNINSTALL)
291 @list='$(bin_SCRIPTS)'; for p in $$list; do \
292 f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
293 echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
294 rm -f "$(DESTDIR)$(bindir)/$$f"; \
295 done
296install-defaultsDATA: $(defaults_DATA)
297 @$(NORMAL_INSTALL)
298 test -z "$(defaultsdir)" || $(MKDIR_P) "$(DESTDIR)$(defaultsdir)"
299 @list='$(defaults_DATA)'; for p in $$list; do \
300 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
301 f=$(am__strip_dir) \
302 echo " $(defaultsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(defaultsdir)/$$f'"; \
303 $(defaultsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(defaultsdir)/$$f"; \
304 done
305
306uninstall-defaultsDATA:
307 @$(NORMAL_UNINSTALL)
308 @list='$(defaults_DATA)'; for p in $$list; do \
309 f=$(am__strip_dir) \
310 echo " rm -f '$(DESTDIR)$(defaultsdir)/$$f'"; \
311 rm -f "$(DESTDIR)$(defaultsdir)/$$f"; \
312 done
313install-imagesDATA: $(images_DATA)
314 @$(NORMAL_INSTALL)
315 test -z "$(imagesdir)" || $(MKDIR_P) "$(DESTDIR)$(imagesdir)"
316 @list='$(images_DATA)'; for p in $$list; do \
317 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
318 f=$(am__strip_dir) \
319 echo " $(imagesDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(imagesdir)/$$f'"; \
320 $(imagesDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(imagesdir)/$$f"; \
321 done
322
323uninstall-imagesDATA:
324 @$(NORMAL_UNINSTALL)
325 @list='$(images_DATA)'; for p in $$list; do \
326 f=$(am__strip_dir) \
327 echo " rm -f '$(DESTDIR)$(imagesdir)/$$f'"; \
328 rm -f "$(DESTDIR)$(imagesdir)/$$f"; \
329 done
330install-lxpanelDATA: $(lxpanel_DATA)
331 @$(NORMAL_INSTALL)
332 test -z "$(lxpaneldir)" || $(MKDIR_P) "$(DESTDIR)$(lxpaneldir)"
333 @list='$(lxpanel_DATA)'; for p in $$list; do \
334 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
335 f=$(am__strip_dir) \
336 echo " $(lxpanelDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(lxpaneldir)/$$f'"; \
337 $(lxpanelDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(lxpaneldir)/$$f"; \
338 done
339
340uninstall-lxpanelDATA:
341 @$(NORMAL_UNINSTALL)
342 @list='$(lxpanel_DATA)'; for p in $$list; do \
343 f=$(am__strip_dir) \
344 echo " rm -f '$(DESTDIR)$(lxpaneldir)/$$f'"; \
345 rm -f "$(DESTDIR)$(lxpaneldir)/$$f"; \
346 done
347install-lxpanel_panelDATA: $(lxpanel_panel_DATA)
348 @$(NORMAL_INSTALL)
349 test -z "$(lxpanel_paneldir)" || $(MKDIR_P) "$(DESTDIR)$(lxpanel_paneldir)"
350 @list='$(lxpanel_panel_DATA)'; for p in $$list; do \
351 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
352 f=$(am__strip_dir) \
353 echo " $(lxpanel_panelDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(lxpanel_paneldir)/$$f'"; \
354 $(lxpanel_panelDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(lxpanel_paneldir)/$$f"; \
355 done
356
357uninstall-lxpanel_panelDATA:
358 @$(NORMAL_UNINSTALL)
359 @list='$(lxpanel_panel_DATA)'; for p in $$list; do \
360 f=$(am__strip_dir) \
361 echo " rm -f '$(DESTDIR)$(lxpanel_paneldir)/$$f'"; \
362 rm -f "$(DESTDIR)$(lxpanel_paneldir)/$$f"; \
363 done
364install-openboxDATA: $(openbox_DATA)
365 @$(NORMAL_INSTALL)
366 test -z "$(openboxdir)" || $(MKDIR_P) "$(DESTDIR)$(openboxdir)"
367 @list='$(openbox_DATA)'; for p in $$list; do \
368 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
369 f=$(am__strip_dir) \
370 echo " $(openboxDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(openboxdir)/$$f'"; \
371 $(openboxDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(openboxdir)/$$f"; \
372 done
373
374uninstall-openboxDATA:
375 @$(NORMAL_UNINSTALL)
376 @list='$(openbox_DATA)'; for p in $$list; do \
377 f=$(am__strip_dir) \
378 echo " rm -f '$(DESTDIR)$(openboxdir)/$$f'"; \
379 rm -f "$(DESTDIR)$(openboxdir)/$$f"; \
380 done
381install-pcmanfmDATA: $(pcmanfm_DATA)
382 @$(NORMAL_INSTALL)
383 test -z "$(pcmanfmdir)" || $(MKDIR_P) "$(DESTDIR)$(pcmanfmdir)"
384 @list='$(pcmanfm_DATA)'; for p in $$list; do \
385 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
386 f=$(am__strip_dir) \
387 echo " $(pcmanfmDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pcmanfmdir)/$$f'"; \
388 $(pcmanfmDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pcmanfmdir)/$$f"; \
389 done
390
391uninstall-pcmanfmDATA:
392 @$(NORMAL_UNINSTALL)
393 @list='$(pcmanfm_DATA)'; for p in $$list; do \
394 f=$(am__strip_dir) \
395 echo " rm -f '$(DESTDIR)$(pcmanfmdir)/$$f'"; \
396 rm -f "$(DESTDIR)$(pcmanfmdir)/$$f"; \
397 done
398install-wallpapersDATA: $(wallpapers_DATA)
399 @$(NORMAL_INSTALL)
400 test -z "$(wallpapersdir)" || $(MKDIR_P) "$(DESTDIR)$(wallpapersdir)"
401 @list='$(wallpapers_DATA)'; for p in $$list; do \
402 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
403 f=$(am__strip_dir) \
404 echo " $(wallpapersDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(wallpapersdir)/$$f'"; \
405 $(wallpapersDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(wallpapersdir)/$$f"; \
406 done
407
408uninstall-wallpapersDATA:
409 @$(NORMAL_UNINSTALL)
410 @list='$(wallpapers_DATA)'; for p in $$list; do \
411 f=$(am__strip_dir) \
412 echo " rm -f '$(DESTDIR)$(wallpapersdir)/$$f'"; \
413 rm -f "$(DESTDIR)$(wallpapersdir)/$$f"; \
414 done
415install-xsessionDATA: $(xsession_DATA)
416 @$(NORMAL_INSTALL)
417 test -z "$(xsessiondir)" || $(MKDIR_P) "$(DESTDIR)$(xsessiondir)"
418 @list='$(xsession_DATA)'; for p in $$list; do \
419 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
420 f=$(am__strip_dir) \
421 echo " $(xsessionDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(xsessiondir)/$$f'"; \
422 $(xsessionDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(xsessiondir)/$$f"; \
423 done
424
425uninstall-xsessionDATA:
426 @$(NORMAL_UNINSTALL)
427 @list='$(xsession_DATA)'; for p in $$list; do \
428 f=$(am__strip_dir) \
429 echo " rm -f '$(DESTDIR)$(xsessiondir)/$$f'"; \
430 rm -f "$(DESTDIR)$(xsessiondir)/$$f"; \
431 done
432
433# This directory's subdirectories are mostly independent; you can cd
434# into them and run `make' without going through this Makefile.
435# To change the values of `make' variables: instead of editing Makefiles,
436# (1) if the variable is set in `config.status', edit `config.status'
437# (which will cause the Makefiles to be regenerated when you run `make');
438# (2) otherwise, pass the desired values on the `make' command line.
439$(RECURSIVE_TARGETS):
440 @failcom='exit 1'; \
441 for f in x $$MAKEFLAGS; do \
442 case $$f in \
443 *=* | --[!k]*);; \
444 *k*) failcom='fail=yes';; \
445 esac; \
446 done; \
447 dot_seen=no; \
448 target=`echo $@ | sed s/-recursive//`; \
449 list='$(SUBDIRS)'; for subdir in $$list; do \
450 echo "Making $$target in $$subdir"; \
451 if test "$$subdir" = "."; then \
452 dot_seen=yes; \
453 local_target="$$target-am"; \
454 else \
455 local_target="$$target"; \
456 fi; \
457 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
458 || eval $$failcom; \
459 done; \
460 if test "$$dot_seen" = "no"; then \
461 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
462 fi; test -z "$$fail"
463
464$(RECURSIVE_CLEAN_TARGETS):
465 @failcom='exit 1'; \
466 for f in x $$MAKEFLAGS; do \
467 case $$f in \
468 *=* | --[!k]*);; \
469 *k*) failcom='fail=yes';; \
470 esac; \
471 done; \
472 dot_seen=no; \
473 case "$@" in \
474 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
475 *) list='$(SUBDIRS)' ;; \
476 esac; \
477 rev=''; for subdir in $$list; do \
478 if test "$$subdir" = "."; then :; else \
479 rev="$$subdir $$rev"; \
480 fi; \
481 done; \
482 rev="$$rev ."; \
483 target=`echo $@ | sed s/-recursive//`; \
484 for subdir in $$rev; do \
485 echo "Making $$target in $$subdir"; \
486 if test "$$subdir" = "."; then \
487 local_target="$$target-am"; \
488 else \
489 local_target="$$target"; \
490 fi; \
491 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
492 || eval $$failcom; \
493 done && test -z "$$fail"
494tags-recursive:
495 list='$(SUBDIRS)'; for subdir in $$list; do \
496 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
497 done
498ctags-recursive:
499 list='$(SUBDIRS)'; for subdir in $$list; do \
500 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
501 done
502
503ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
504 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
505 unique=`for i in $$list; do \
506 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
507 done | \
68711ac0 508 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
097da666
DB
509 END { if (nonempty) { for (i in files) print i; }; }'`; \
510 mkid -fID $$unique
511tags: TAGS
512
68711ac0 513TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
097da666
DB
514 $(TAGS_FILES) $(LISP)
515 tags=; \
516 here=`pwd`; \
517 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
518 include_option=--etags-include; \
519 empty_fix=.; \
520 else \
521 include_option=--include; \
522 empty_fix=; \
523 fi; \
524 list='$(SUBDIRS)'; for subdir in $$list; do \
525 if test "$$subdir" = .; then :; else \
526 test ! -f $$subdir/TAGS || \
527 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
528 fi; \
529 done; \
68711ac0 530 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
097da666
DB
531 unique=`for i in $$list; do \
532 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
533 done | \
534 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
535 END { if (nonempty) { for (i in files) print i; }; }'`; \
536 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
537 test -n "$$unique" || unique=$$empty_fix; \
538 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
539 $$tags $$unique; \
540 fi
541ctags: CTAGS
68711ac0 542CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
097da666
DB
543 $(TAGS_FILES) $(LISP)
544 tags=; \
68711ac0 545 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
097da666
DB
546 unique=`for i in $$list; do \
547 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
548 done | \
549 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
550 END { if (nonempty) { for (i in files) print i; }; }'`; \
551 test -z "$(CTAGS_ARGS)$$tags$$unique" \
552 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
553 $$tags $$unique
554
555GTAGS:
556 here=`$(am__cd) $(top_builddir) && pwd` \
557 && cd $(top_srcdir) \
558 && gtags -i $(GTAGS_ARGS) $$here
559
560distclean-tags:
561 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
562
563distdir: $(DISTFILES)
564 $(am__remove_distdir)
565 test -d $(distdir) || mkdir $(distdir)
566 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
567 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
568 list='$(DISTFILES)'; \
569 dist_files=`for file in $$list; do echo $$file; done | \
570 sed -e "s|^$$srcdirstrip/||;t" \
571 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
572 case $$dist_files in \
573 */*) $(MKDIR_P) `echo "$$dist_files" | \
574 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
575 sort -u` ;; \
576 esac; \
577 for file in $$dist_files; do \
578 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
579 if test -d $$d/$$file; then \
580 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
581 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
582 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
583 fi; \
584 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
585 else \
586 test -f $(distdir)/$$file \
587 || cp -p $$d/$$file $(distdir)/$$file \
588 || exit 1; \
589 fi; \
590 done
591 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
592 if test "$$subdir" = .; then :; else \
593 test -d "$(distdir)/$$subdir" \
594 || $(MKDIR_P) "$(distdir)/$$subdir" \
595 || exit 1; \
596 distdir=`$(am__cd) $(distdir) && pwd`; \
597 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
598 (cd $$subdir && \
599 $(MAKE) $(AM_MAKEFLAGS) \
600 top_distdir="$$top_distdir" \
601 distdir="$$distdir/$$subdir" \
602 am__remove_distdir=: \
603 am__skip_length_check=: \
604 distdir) \
605 || exit 1; \
606 fi; \
607 done
608 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
609 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
610 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
611 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
612 || chmod -R a+r $(distdir)
613dist-gzip: distdir
614 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
615 $(am__remove_distdir)
616dist-bzip2: distdir
617 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
618 $(am__remove_distdir)
619
620dist-lzma: distdir
621 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
622 $(am__remove_distdir)
623
624dist-tarZ: distdir
625 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
626 $(am__remove_distdir)
627
628dist-shar: distdir
629 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
630 $(am__remove_distdir)
631
632dist-zip: distdir
633 -rm -f $(distdir).zip
634 zip -rq $(distdir).zip $(distdir)
635 $(am__remove_distdir)
636
637dist dist-all: distdir
638 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
639 $(am__remove_distdir)
640
641# This target untars the dist file and tries a VPATH configuration. Then
642# it guarantees that the distribution is self-contained by making another
643# tarfile.
644distcheck: dist
645 case '$(DIST_ARCHIVES)' in \
646 *.tar.gz*) \
647 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
648 *.tar.bz2*) \
649 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
650 *.tar.lzma*) \
651 unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
652 *.tar.Z*) \
653 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
654 *.shar.gz*) \
655 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
656 *.zip*) \
657 unzip $(distdir).zip ;;\
658 esac
659 chmod -R a-w $(distdir); chmod a+w $(distdir)
660 mkdir $(distdir)/_build
661 mkdir $(distdir)/_inst
662 chmod a-w $(distdir)
663 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
664 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
665 && cd $(distdir)/_build \
666 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
667 $(DISTCHECK_CONFIGURE_FLAGS) \
668 && $(MAKE) $(AM_MAKEFLAGS) \
669 && $(MAKE) $(AM_MAKEFLAGS) dvi \
670 && $(MAKE) $(AM_MAKEFLAGS) check \
671 && $(MAKE) $(AM_MAKEFLAGS) install \
672 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
673 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
674 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
675 distuninstallcheck \
676 && chmod -R a-w "$$dc_install_base" \
677 && ({ \
678 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
679 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
680 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
681 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
682 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
683 } || { rm -rf "$$dc_destdir"; exit 1; }) \
684 && rm -rf "$$dc_destdir" \
685 && $(MAKE) $(AM_MAKEFLAGS) dist \
686 && rm -rf $(DIST_ARCHIVES) \
687 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
688 $(am__remove_distdir)
689 @(echo "$(distdir) archives ready for distribution: "; \
690 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
691 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
692distuninstallcheck:
693 @cd $(distuninstallcheck_dir) \
694 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
695 || { echo "ERROR: files left after uninstall:" ; \
696 if test -n "$(DESTDIR)"; then \
697 echo " (check DESTDIR support)"; \
698 fi ; \
699 $(distuninstallcheck_listfiles) ; \
700 exit 1; } >&2
701distcleancheck: distclean
702 @if test '$(srcdir)' = . ; then \
703 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
704 exit 1 ; \
705 fi
706 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
707 || { echo "ERROR: files left in build directory after distclean:" ; \
708 $(distcleancheck_listfiles) ; \
709 exit 1; } >&2
710check-am: all-am
711check: check-recursive
68711ac0 712all-am: Makefile $(SCRIPTS) $(DATA)
097da666
DB
713installdirs: installdirs-recursive
714installdirs-am:
715 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(defaultsdir)" "$(DESTDIR)$(imagesdir)" "$(DESTDIR)$(lxpaneldir)" "$(DESTDIR)$(lxpanel_paneldir)" "$(DESTDIR)$(openboxdir)" "$(DESTDIR)$(pcmanfmdir)" "$(DESTDIR)$(wallpapersdir)" "$(DESTDIR)$(xsessiondir)"; do \
716 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
717 done
718install: install-recursive
719install-exec: install-exec-recursive
720install-data: install-data-recursive
721uninstall: uninstall-recursive
722
723install-am: all-am
724 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
725
726installcheck: installcheck-recursive
727install-strip:
728 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
729 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
730 `test -z '$(STRIP)' || \
731 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
732mostlyclean-generic:
733
734clean-generic:
735 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
736
737distclean-generic:
738 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
739
740maintainer-clean-generic:
741 @echo "This command is intended for maintainers to use"
742 @echo "it deletes files that may require special tools to rebuild."
743clean: clean-recursive
744
745clean-am: clean-generic mostlyclean-am
746
747distclean: distclean-recursive
748 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
749 -rm -f Makefile
68711ac0 750distclean-am: clean-am distclean-generic distclean-tags
097da666
DB
751
752dvi: dvi-recursive
753
754dvi-am:
755
756html: html-recursive
757
758info: info-recursive
759
760info-am:
761
762install-data-am: install-defaultsDATA install-imagesDATA \
763 install-lxpanelDATA install-lxpanel_panelDATA \
764 install-openboxDATA install-pcmanfmDATA install-wallpapersDATA \
765 install-xsessionDATA
766
767install-dvi: install-dvi-recursive
768
769install-exec-am: install-binSCRIPTS
770
771install-html: install-html-recursive
772
773install-info: install-info-recursive
774
775install-man:
776
777install-pdf: install-pdf-recursive
778
779install-ps: install-ps-recursive
780
781installcheck-am:
782
783maintainer-clean: maintainer-clean-recursive
784 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
785 -rm -rf $(top_srcdir)/autom4te.cache
786 -rm -f Makefile
787maintainer-clean-am: distclean-am maintainer-clean-generic
788
789mostlyclean: mostlyclean-recursive
790
791mostlyclean-am: mostlyclean-generic
792
793pdf: pdf-recursive
794
795pdf-am:
796
797ps: ps-recursive
798
799ps-am:
800
801uninstall-am: uninstall-binSCRIPTS uninstall-defaultsDATA \
802 uninstall-imagesDATA uninstall-lxpanelDATA \
803 uninstall-lxpanel_panelDATA uninstall-openboxDATA \
804 uninstall-pcmanfmDATA uninstall-wallpapersDATA \
805 uninstall-xsessionDATA
806
807.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
808 install-strip
809
810.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
811 all all-am am--refresh check check-am clean clean-generic \
812 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
813 dist-lzma dist-shar dist-tarZ dist-zip distcheck distclean \
68711ac0
DB
814 distclean-generic distclean-tags distcleancheck distdir \
815 distuninstallcheck dvi dvi-am html html-am info info-am \
816 install install-am install-binSCRIPTS install-data \
097da666
DB
817 install-data-am install-defaultsDATA install-dvi \
818 install-dvi-am install-exec install-exec-am install-html \
819 install-html-am install-imagesDATA install-info \
820 install-info-am install-lxpanelDATA install-lxpanel_panelDATA \
821 install-man install-openboxDATA install-pcmanfmDATA \
822 install-pdf install-pdf-am install-ps install-ps-am \
823 install-strip install-wallpapersDATA install-xsessionDATA \
824 installcheck installcheck-am installdirs installdirs-am \
825 maintainer-clean maintainer-clean-generic mostlyclean \
826 mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
827 uninstall uninstall-am uninstall-binSCRIPTS \
828 uninstall-defaultsDATA uninstall-imagesDATA \
829 uninstall-lxpanelDATA uninstall-lxpanel_panelDATA \
830 uninstall-openboxDATA uninstall-pcmanfmDATA \
831 uninstall-wallpapersDATA uninstall-xsessionDATA
832
833# Tell versions [3.59,3.63) of GNU make to not export all variables.
834# Otherwise a system limit (for SysV at least) may be exceeded.
835.NOEXPORT: